
#ifndef DKUTIL_DETAIL_OBJECT_INTERFACE_HPP
#define DKUTIL_DETAIL_OBJECT_INTERFACE_HPP

#include <dkutil/macro.hpp>
#include <dkutil/config.hpp>
#include <dkutil/detail/serialize_interface.hpp>
namespace dkutil{


class IObject{
public:
	virtual ~IObject(){}
	virtual void serialize(ISerializeStream *x) = 0;
};


}//end of dkutil namespace



#endif